<template>
    <div class="content__leftAnalitika">
        <div class="user-controlLastTable">
            <div class="user-control__head animated fadeInUp">
                <div class="head-left">
                    <p class="text-id">{{ $t('referrals.table.id') }}</p>
                    <p class="text-id">{{ $t('referrals.table.login') }}</p>
                </div>
                <div class="head-right">
                    <p class="text-id">{{ $t('referrals.table.profit') }}</p>
                </div>
            </div>
            <div class="user-control__body wow fadeInUp" v-for="user in referrals">
                <div class="body-left">
                    <p class="text-idBlueBold">#{{ user.id }}</p>
                    <p class="text-idBold">{{ user.login }}</p>
                </div>
                <div class="body-right">
                    <p class="text-idBlueBold">{{ formatAmount(user.referrals_earned) }}</p>
                </div>
            </div>
            <paginator
                :current-page="currentPage"
                :last-page="lastPage"
                :per-page="perPage"
                :items-count="total"
                @page-changed="setPage"
            />
        </div>
    </div>
</template>

<script>
	import {mapGetters} from "vuex";
    import currencies from "../currencies";

    export default {
		name: "Referrals",
        data(){
            return {
                currentPage: 0,
                lastPage: 0,
                perPage: 0,
                total: 0,
                page: 1,
                referrals: [],
            }
        },
        computed: {
            ...mapGetters([
                'axios'
            ])
        },
        methods: {
            submit(){
                this.axios.get(`referrals`, {
                    params: {
                        page: this.page,
                    }
                })
                    .then(resp => resp.data)
                    .then(referrals => {
                        console.log(referrals);
                        this.currentPage = referrals.current_page;
                        this.lastPage = referrals.last_page;
                        this.perPage = referrals.per_page;
                        this.total = referrals.total;
                        this.referrals = referrals.data;
                    });
            },
            setPage(page){
                this.page = page;
                this.submit();
            },
            formatAmount(amount){
                return currencies.formatInDefault(amount);
            },
        },
        mounted(){
            this.submit();
        },
	}
</script>

<style scoped>

</style>
